import javax.swing.*;

class H4Ex3
{
	
public static void main(String args[])
{
double y=Double.parseDouble(JOptionPane.showInputDialog("Bir sayı giriniz:"));
//statik metodları başka sınıftan çağırma
String s=" exp("+y+") = "+H4Ex1.exp(y);
String s1="exp statik metodunu H4Ex1 den çağırma :";
JOptionPane.showMessageDialog(null,s,s1,JOptionPane.PLAIN_MESSAGE);	
s=" kare("+y+") = "+H4Ex1.kare(y);
s1="kare statik metodunu H4Ex1 den çağırma :";
JOptionPane.showMessageDialog(null,s,s1,JOptionPane.PLAIN_MESSAGE);	
//dinamik metodları başka sınıftan çağırma
H4Ex2 z=new H4Ex2();
s=" exp("+y+") = "+z.exp(y);
s1="exp dinamik metodunu H4Ex2 den çağırma :";
JOptionPane.showMessageDialog(null,s,s1,JOptionPane.PLAIN_MESSAGE);	
s=" kare("+y+") = "+z.kare(y);
s1="kare dinamik metodunu H4Ex2 den çağırma :"; 
JOptionPane.showMessageDialog(null,s,s1,JOptionPane.PLAIN_MESSAGE);	
}
}
